Name:           snoopy
Version:        2.5.2
Release:        1%{?dist}
Summary:        A preload library to send shell commands to syslog
License:        GPLv2+
URL:            https://github.com/a2o/snoopy
Source0:        %{URL}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  socat
BuildRequires:  gcc
%if 0%{?fedora}
BuildRequires:  procps-ng
%endif

%description
Snoopy is designed to aid a sysadmin by providing a log of commands executed.
Snoopy is completely transparent to the user and applications.
It is linked into programs to provide a wrapper around calls to execve().
Logging is done via syslog.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
%autosetup

%build
%configure --enable-filtering --enable-config-file
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}
install -m 0644 etc/snoopy.ini %{buildroot}%{_sysconfdir}/snoopy.ini
#rm -f #{buildroot}%{_libdir}/libsnoopy.la
rm -rf %{buildroot}/contrib

%if 0%{?fedora} || 0%{?rhel} >= 8
mkdir -p %{buildroot}%{_includedir}/%{name}
install -c -m 644 src/*.h %{buildroot}%{_includedir}/%{name}
%endif

%if 0%{?fedora} <= 35 || 0%{?rhel} >= 6
%__brp_remove_la_files
%endif

%ldconfig_scriptlets

%files
%doc README.md ChangeLog doc/{FAQ.md,FILTER_exclude_spawns_of.md}
%license COPYING
%{_libdir}/libsnoopy.so.0*
%{_sbindir}/snoopyctl
%config(noreplace) %{_sysconfdir}/snoopy.ini

%files devel
%{_libdir}/libsnoopy.so
%if 0%{?fedora} || 0%{?rhel} >= 8
%{_includedir}/snoopy/
#else
#{_libdir}/libsnoopy.la
%endif

%preun
%{_sbindir}/snoopyctl disable

%changelog
* Thu Oct 24 2024 Christian Birk <mail@birkc.de> - 2.5.2-1
- new version

* Wed Sep 28 2022 Christian Birk <mail@birkc.de> - 2.5.1-1
- new version

* Sat Sep 03 2022 Christian Birk <mail@birkc.de> - 2.5.0-1
- new version

* Tue Apr 20 2021 Christian Birk <mail@birkc.de> - 2.4.14-2
- Add build fixes for rhel7

* Tue Apr 20 2021 Christian Birk <mail@birkc.de> - 2.4.14-1
- Update to 2.4.14

* Wed Apr 14 2021 Christian Birk <mail@birkc.de> - 2.4.13-1
- Update to 2.4.13
- Cleanup spec with feedback from rhbz#1928586

* Wed Feb 10 2021 Christian Birk <mail@birkc.de> - 2.4.12-1
- Update to 2.4.12

* Tue Feb 02 2021 Christian Birk <mail@birkc.de> - 2.4.11-1
- Update to 2.4.11

* Mon Nov 30 2020 Christian Birk <mail@birkc.de> - 2.4.10-1
- Update to 2.4.10

* Mon Nov 16 2020 Christian Birk <mail@birkc.de> - 2.4.9-1
- Update to 2.4.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar 22 2015 Mosaab Alzoubi <moceap@hotmail.com> - 2.2.6-1
- Update to 2.2.6
- Clean spec up
- Add -devel package
- Use Github source guidline
- Remove old guideline tags
- Remove la lib
- Remove old %%clean way
- Remove README.Fedora due to its included in tools
- Add %%license macro
- Fix BRs
- Support new automake building
- Use %%make_install
- Right way for ldconfig
- Right way for lib macro
- Fix lines length of %%descriotion
- Use snoopy.ini

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 19 2013 Steve Traylen <steve.traylen@cern.ch> 1.9.0-1A
- New upstream version, also upstream moved to github.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 26 2012 Steve Traylen <steve.traylen@cern.ch> - 1.8.0-3
- Correct previous wrong date in changelog.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon May 2 2011 Steve Traylen <steve.traylen@cern.ch> - 1.8.0-1
- New upstream 1.8.0
- Use make install 
- Clarify README.Fedora to use $LIB for configuration. rhbz#701241.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Steve Traylen <steve.traylen@cern.ch> - 1.7.10-1
- New upstream 1.7.10

* Mon Jan 10 2011 Steve Traylen <steve.traylen@cern.ch> - 1.7.9-1
- New upstream 1.7.9

* Mon Nov 1 2010 Steve Traylen <steve.traylen@cern.ch> - 1.7.6-1
- New upstream 1.7.6

* Fri Aug 6 2010 Steve Traylen <steve.traylen@cern.ch> - 1.7.1-2
- Move lib from /usr/lib64 to /lib64 since a preload over glibc.

* Fri Aug 6 2010 Steve Traylen <steve.traylen@cern.ch> - 1.7.1-1
- New upstream 1.7.1-1

* Wed Aug 4 2010 Steve Traylen <steve.traylen@cern.ch> - 1.6.1-3
- Don't edit /etc/ld.so.preload, instead provide README.Fedora

* Tue Aug 3 2010 Steve Traylen <steve.traylen@cern.ch> - 1.6.1-2
- Call ldconfig in post and preun

* Tue Aug 3 2010 Steve Traylen <steve.traylen@cern.ch> - 1.6.1-1
- Initial packaging.

